Bug 469132 - Ekiga segmentation fault
Ekiga segmentation fault
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ekiga (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-10-29 23:26 EDT by Brian Powell
Modified: 2013-01-09 23:53 EST (History)
5 users (show)

See Also:
Fixed In Version: ekiga-3.0.1-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 05:40:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ekiga debug output (62.11 KB, text/plain)
2008-10-30 16:05 EDT, Brian Powell
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 558587 None None None Never

  None (edit)
Description Brian Powell 2008-10-29 23:26:24 EDT
Description of problem:

Ekiga seg faults when answering incoming call

Version-Release number of selected component (if applicable):

F10-Snap3-i386  Ekiga 3.0.1

How reproducible:


Steps to Reproduce:
1.Configure ekiga with sip account (fedoratalk or ekiga)
2.Dial extension from landline or sip call from another machine
3.After incoming call pop-up is displayed click Accept to answer call
  
Actual results:

Ekiga closes with a segmentation fault.

Expected results:

Ekiga should answer the call

Additional info:

Attempted this on an XO and a rawhide testing PC with the same results so it is not specific to the XO
Comment 1 Jeremy Katz 2008-10-29 23:47:51 EDT
Given that it's not XO specific, this isn't really a FedoraOnXO bug

But ekiga is in the default install and so a segfault in a normal usage, especially as we start trying to get more people to use fedoratalk, feels like a release blocker
Comment 2 Peter Robinson 2008-10-30 05:49:07 EDT
Can you provide a backtrace of this? I'll do some testing myself when I'm able to connect to one of my providers.
Comment 3 Brian Powell 2008-10-30 14:52:35 EDT
GNU gdb Fedora (6.8-24.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(gdb) run
Starting program: /usr/bin/ekiga 
[Thread debugging using libthread_db enabled]
[New Thread 0xb7fd8770 (LWP 5677)]
[New Thread 0xb7dd7b90 (LWP 5696)]
[New Thread 0xb7d96b90 (LWP 5697)]
[New Thread 0xb7d55b90 (LWP 5698)]
[New Thread 0xb7d14b90 (LWP 5699)]
[New Thread 0xb7cd3b90 (LWP 5701)]
[New Thread 0xb7c92b90 (LWP 5703)]
[New Thread 0xb7c51b90 (LWP 5704)]
[New Thread 0xb7c09b90 (LWP 5705)]
[New Thread 0xb7bc8b90 (LWP 5707)]
[Thread 0xb7bc8b90 (LWP 5707) exited]
[New Thread 0xb7bc8b90 (LWP 5798)]
[Thread 0xb7bc8b90 (LWP 5798) exited]
[New Thread 0xb7bc8b90 (LWP 6691)]
[New Thread 0xb6ca4b90 (LWP 6914)]

Program received signal SIGSEGV, Segmentation fault.
0x014d6b88 in IA__g_type_check_instance_cast (type_instance=0x2, 
    iface_type=137474216) at gtype.c:3723
3723	      if (type_instance->g_class)
Current language:  auto; currently c
(gdb)
Comment 4 Brian Powell 2008-10-30 15:01:45 EDT
Thread 13 (Thread 0xb6dcfb90 (LWP 27706)):
#0  SIPConnection::SetConnected (this=0x82f83a0)
    at /usr/src/debug/opal-3.4.2/src/sip/sipcon.cxx:380
#1  0x0080faf3 in OpalCall::OnConnected (this=0x82e9930, connection=@0x82f5920)
    at /usr/src/debug/opal-3.4.2/src/opal/call.cxx:226
#2  0x007f0e4d in OpalManager::OnConnected (this=0x82df4b0, 
    connection=@0x82f5920)
    at /usr/src/debug/opal-3.4.2/src/opal/manager.cxx:608
#3  0x007f99eb in OpalEndPoint::OnConnected (this=0x82e00f0, 
    connection=@0x82f5920)
    at /usr/src/debug/opal-3.4.2/src/opal/endpoint.cxx:428
#4  0x00803ccd in OpalConnection::OnConnected (this=0x82f5920)
    at /usr/src/debug/opal-3.4.2/src/opal/connection.cxx:516
#5  0x00802e71 in OpalConnection::OnConnectedInternal (this=0x82f5920)
    at /usr/src/debug/opal-3.4.2/src/opal/connection.cxx:503
#6  0x00869e5e in OpalPCSSConnection::AcceptIncoming (this=0x82f5920)
    at /usr/src/debug/opal-3.4.2/src/opal/pcss.cxx:421
#7  0x08100c39 in Opal::Call::OnAnswer (this=0x82e9930)
    at endpoints/opal-call.cpp:643
#8  0x08107255 in Opal::Call::OnAnswer_PNotifier::Call (this=0x82ede28, 
    note=@0x849bc48, extra=0) at endpoints/opal-call.h:193
#9  0x08107657 in PNotifier::operator() (this=0x849bccc, notifier=@0x849bc48, 
    extra=0) at /usr/include/ptlib/notifier.h:95
#10 0x00f816ac in PSimpleThread::Main (this=0x849bc48)
    at ptlib/common/osutils.cxx:1971
#11 0x00f5e29f in PThread::PX_ThreadStart (arg=0x849bc48)
    at ptlib/unix/tlibthrd.cxx:806
#12 0x02a2f51f in start_thread (arg=0xb6dcfb90) at pthread_create.c:297
#13 0x0121902e in clone () from /lib/libc.so.6

Thread 12 (Thread 0xb7bc8b90 (LWP 27417)):
#0  0x00130416 in __kernel_vsyscall ()
#1  0x02a330a5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00f59719 in PSyncPoint::Wait (this=0x82e59a4)
    at ptlib/unix/tlibthrd.cxx:1419
#3  0x00c34f26 in SIPEndPoint::SIP_PDU_Thread::Main (this=0x82e58d8)
    at /usr/src/debug/opal-3.4.2/src/sip/sipep.cxx:1299
#4  0x00f5e29f in PThread::PX_ThreadStart (arg=0x82e58d8)
    at ptlib/unix/tlibthrd.cxx:806
#5  0x02a2f51f in start_thread (arg=0xb7bc8b90) at pthread_create.c:297
#6  0x0121902e in clone () from /lib/libc.so.6
Current language:  auto; currently c++

Thread 9 (Thread 0xb7c09b90 (LWP 25348)):
#0  0x00130416 in __kernel_vsyscall ()
#1  0x01211391 in select () from /lib/libc.so.6
#2  0x00f5b116 in PThread::PXBlockOnIO (this=0x8305ad0, handle=42, type=2, 
    timeout=@0xb7c090a0) at ptlib/unix/tlibthrd.cxx:903
#3  0x00f50159 in PChannel::PXSetIOBlock (this=0x8305860, 
    type=PChannel::PXAcceptBlock, timeout=@0xb7c090a0)
    at ptlib/unix/channel.cxx:119
#4  0x00f4d110 in PSocket::os_accept (this=0x8305cc8, listener=@0x8305860, 
    addr=0xb7c090e8, size=0xb7c090e4) at ptlib/unix/socket.cxx:206
#5  0x00f73816 in PTCPSocket::Accept (this=0x8305cc8, socket=@0x8305860)
    at ptlib/common/sockets.cxx:2263
#6  0x0083fb5b in OpalListenerTCP::Accept (this=0x8305838, timeout=@0xb7c09230)
    at /usr/src/debug/opal-3.4.2/src/opal/transports.cxx:613
#7  0x0083dc46 in OpalListener::ListenForConnections (this=0x8305838, 
    thread=@0x8305ad0) at /usr/src/debug/opal-3.4.2/src/opal/transports.cxx:448
#8  0x0083fed2 in OpalListener::ListenForConnections_PNotifier::Call (
    this=0x8305a40, note=@0x8305ad0, extra=0)
    at /usr/src/debug/opal-3.4.2/include/opal/transports.h:350
#9  0x08107657 in PNotifier::operator() (this=0x8305b54, notifier=@0x8305ad0, 
    extra=0) at /usr/include/ptlib/notifier.h:95
#10 0x00f816ac in PSimpleThread::Main (this=0x8305ad0)
    at ptlib/common/osutils.cxx:1971
#11 0x00f5e29f in PThread::PX_ThreadStart (arg=0x8305ad0)
    at ptlib/unix/tlibthrd.cxx:806
#12 0x02a2f51f in start_thread (arg=0xb7c09b90) at pthread_create.c:297
#13 0x0121902e in clone () from /lib/libc.so.6

Thread 8 (Thread 0xb7c51b90 (LWP 25347)):
#0  0x00130416 in __kernel_vsyscall ()
#1  0x01211391 in select () from /lib/libc.so.6
#2  0x00f4ce97 in PSocket::Select (read=@0xb7c510d8, write=@0xb7c51000, 
    except=@0xb7c50ff4, timeout=@0xb7c51230) at ptlib/unix/socket.cxx:328
#3  0x00f74b48 in PSocket::Select (read=@0xb7c510d8, timeout=@0xb7c51230)
    at ptlib/common/sockets.cxx:1037
#4  0x00f7d342 in PMonitoredSockets::ReadFromSocket (this=0x82e1498, 
    readers=@0xb7c510d8, socket=@0xb7c510e8, buf=0x8625368, len=65536, 
    addr=@0xb7c51178, port=@0xb7c5118a, lastReadCount=@0xb7c51184, 
    timeout=@0xb7c51230) at ptclib/psockbun.cxx:577
#5  0x00f7d911 in PMonitoredSocketBundle::ReadFromBundle (this=0x82e1498, 
    buf=0x8625368, len=65536, addr=@0xb7c51178, port=@0xb7c5118a, 
    iface=@0xb7c51144, lastReadCount=@0xb7c51184, timeout=@0xb7c51230)
    at ptclib/psockbun.cxx:980
#6  0x0083c60a in OpalListenerUDP::Accept (this=0x82e2200, timeout=@0xb7c51230)
    at /usr/src/debug/opal-3.4.2/src/opal/transports.cxx:717
#7  0x0083dc46 in OpalListener::ListenForConnections (this=0x82e2200, 
    thread=@0x82f3780) at /usr/src/debug/opal-3.4.2/src/opal/transports.cxx:448
#8  0x0083fed2 in OpalListener::ListenForConnections_PNotifier::Call (
    this=0x82e1200, note=@0x82f3780, extra=0)
    at /usr/src/debug/opal-3.4.2/include/opal/transports.h:350
#9  0x08107657 in PNotifier::operator() (this=0x82f3804, notifier=@0x82f3780, 
    extra=0) at /usr/include/ptlib/notifier.h:95
#10 0x00f816ac in PSimpleThread::Main (this=0x82f3780)
    at ptlib/common/osutils.cxx:1971
#11 0x00f5e29f in PThread::PX_ThreadStart (arg=0x82f3780)
    at ptlib/unix/tlibthrd.cxx:806
#12 0x02a2f51f in start_thread (arg=0xb7c51b90) at pthread_create.c:297
#13 0x0121902e in clone () from /lib/libc.so.6

Thread 7 (Thread 0xb7c92b90 (LWP 25346)):
#0  0x00130416 in __kernel_vsyscall ()
#1  0x02a333d2 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#2  0x00f59608 in PSyncPoint::Wait (this=0x8261508, waitTime=@0xb7c92290)
    at ptlib/unix/tlibthrd.cxx:1437
#3  0x00f5c16f in PHouseKeepingThread::Main (this=0x82e22a0)
    at ptlib/unix/tlibthrd.cxx:125
#4  0x00f5e29f in PThread::PX_ThreadStart (arg=0x82e22a0)
    at ptlib/unix/tlibthrd.cxx:806
#5  0x02a2f51f in start_thread (arg=0xb7c92b90) at pthread_create.c:297
#6  0x0121902e in clone () from /lib/libc.so.6
Thread 6 (Thread 0xb7cd3b90 (LWP 25345)):
#0  0x00130416 in __kernel_vsyscall ()
#1  0x02a333d2 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#2  0x00f59608 in PSyncPoint::Wait (this=0x826258c, waitTime=@0x826255c)
    at ptlib/unix/tlibthrd.cxx:1437
#3  0x00f7b143 in PInterfaceMonitor::UpdateThreadMain (this=0x8262540)
    at ptclib/psockbun.cxx:248
#4  0x00f7e658 in PThreadObj<PInterfaceMonitor>::Main (this=0x82e1f50)
    at /usr/src/debug/ptlib-2.4.2/include/ptlib/thread.h:576
#5  0x00f5e29f in PThread::PX_ThreadStart (arg=0x82e1f50)
    at ptlib/unix/tlibthrd.cxx:806
#6  0x02a2f51f in start_thread (arg=0xb7cd3b90) at pthread_create.c:297
#7  0x0121902e in clone () from /lib/libc.so.6

Thread 5 (Thread 0xb7d14b90 (LWP 25344)):
#0  0x00130416 in __kernel_vsyscall ()
#1  0x02a333d2 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#2  0x00f59608 in PSyncPoint::Wait (this=0x82dfa78, waitTime=@0xb7d14230)
    at ptlib/unix/tlibthrd.cxx:1437
#3  0x007ed373 in OpalManager::GarbageMain (this=0x82df4b0)
    at /usr/src/debug/opal-3.4.2/src/opal/manager.cxx:1495
#4  0x007f6635 in OpalManager::GarbageMain_PNotifier::Call (this=0x82edcf0, 
    note=@0x82e26b0, extra=0)
    at /usr/src/debug/opal-3.4.2/include/opal/manager.h:1318
#5  0x08107657 in PNotifier::operator() (this=0x82e2734, notifier=@0x82e26b0, 
    extra=0) at /usr/include/ptlib/notifier.h:95
#6  0x00f816ac in PSimpleThread::Main (this=0x82e26b0)
    at ptlib/common/osutils.cxx:1971
#7  0x00f5e29f in PThread::PX_ThreadStart (arg=0x82e26b0)
    at ptlib/unix/tlibthrd.cxx:806
#8  0x02a2f51f in start_thread (arg=0xb7d14b90) at pthread_create.c:297
#9  0x0121902e in clone () from /lib/libc.so.6

Thread 4 (Thread 0xb7d55b90 (LWP 25343)):
#0  0x00130416 in __kernel_vsyscall ()
#1  0x02a330a5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00f59719 in PSyncPoint::Wait (this=0x82ad0d0)
    at ptlib/unix/tlibthrd.cxx:1419
#3  0x081ceb65 in GMVideoOutputManager::Main (this=0x82acf58)
    at ../../../../lib/engine/videooutput/common/videooutput-manager-common.cpp:88
#4  0x00f5e29f in PThread::PX_ThreadStart (arg=0x82acf58)
    at ptlib/unix/tlibthrd.cxx:806
#5  0x02a2f51f in start_thread (arg=0xb7d55b90) at pthread_create.c:297
#6  0x0121902e in clone () from /lib/libc.so.6

Thread 3 (Thread 0xb7d96b90 (LWP 25342)):
#0  0x00130416 in __kernel_vsyscall ()
#1  0x011d4466 in nanosleep () from /lib/libc.so.6
#2  0x01211d2c in usleep (useconds=0) at ../sysdeps/unix/sysv/linux/usleep.c:33
#3  0x00f62a7d in PAdaptiveDelay::Delay (this=0x82af2a4, frameTime=20)
    at ptclib/delaychan.cxx:80
#4  0x081a4aab in GMAudioOutputManager_null::set_frame_data (this=0x0, 
    ps=Ekiga::primary, size=1764, bytes_written=@0xb7d961a4)
    at ../../../../lib/engine/audiooutput/null/audiooutput-manager-null.cpp:111
#5  0x0816f76e in Ekiga::AudioOutputCore::internal_play (this=0x82ae430, 
    ps=Ekiga::primary, buffer=0x8655380 "", len=244072, channels=2, 
    sample_rate=44100, bps=16)
    at ../../../../lib/engine/audiooutput/skel/audiooutput-core.cpp:485
#6  0x0816f8e3 in Ekiga::AudioOutputCore::play_buffer (this=0x82ae430, 
    ps=Ekiga::secondary, buffer=0x8655380 "", len=258184, channels=2, 
    sample_rate=44100, bps=16)
    at ../../../../lib/engine/audiooutput/skel/audiooutput-core.cpp:341
#7  0x0819b6e1 in Ekiga::AudioEventScheduler::Main (this=0x82ae530)
    at ../../../../lib/engine/audiooutput/skel/audiooutput-scheduler.cpp:95
#8  0x00f5e29f in PThread::PX_ThreadStart (arg=0x82ae530)
    at ptlib/unix/tlibthrd.cxx:806
#9  0x02a2f51f in start_thread (arg=0xb7d96b90) at pthread_create.c:297
#10 0x0121902e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xb7dd7b90 (LWP 25341)):
#0  0x00130416 in __kernel_vsyscall ()
#1  0x02a330a5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00f59719 in PSyncPoint::Wait (this=0x82ae300)
    at ptlib/unix/tlibthrd.cxx:1419
#3  0x08164173 in Ekiga::VideoInputCore::VideoPreviewManager::Main (
    this=0x82ae1e4)
    at ../../../../lib/engine/videoinput/skel/videoinput-core.cpp:103
#4  0x00f5e29f in PThread::PX_ThreadStart (arg=0x82ae1e4)
    at ptlib/unix/tlibthrd.cxx:806
#5  0x02a2f51f in start_thread (arg=0xb7dd7b90) at pthread_create.c:297
#6  0x0121902e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb7fd8770 (LWP 25328)):
#0  0x0588bb88 in IA__g_type_check_instance_cast (type_instance=0x2, 
    iface_type=137475176) at gtype.c:3723
#1  0x080d4bb0 in closed_cb (main_window=0x2) at gui/main.cpp:3644
#2  0x0587a5fc in IA__g_cclosure_marshal_VOID__UINT (closure=0x82e62b0, 
    return_value=0x0, n_param_values=2, param_values=0x84b0518, 
    invocation_hint=0xbfffebbc, marshal_data=0x80d4b80) at gmarshal.c:251
#3  0x0586d1db in IA__g_closure_invoke (closure=0x82e62b0, return_value=0x0, 
    n_param_values=2, param_values=0x84b0518, invocation_hint=0xbfffebbc)
    at gclosure.c:767
#4  0x05883625 in signal_emit_unlocked_R (node=0x82fdf88, detail=0, 
    instance=0x856c520, emission_return=0x0, instance_and_params=0x84b0518)
    at gsignal.c:3244
#5  0x05884d3c in IA__g_signal_emit_valist (instance=0x856c520, signal_id=304, 
    detail=0, var_args=0xbfffed60 "�x�\a�,�\a\230���3S�\ap�)\b\005")
    at gsignal.c:2977
#6  0x058851b6 in IA__g_signal_emit (instance=0x856c520, signal_id=304, 
    detail=0) at gsignal.c:3034
#7  0x07c82d39 in _close_signal_handler (proxy=0x829d670, id=5, reason=2, 
    notification=0x856c520) at notification.c:687
#8  0x07c85333 in notify_marshal_VOID__UINT_UINT (closure=0x82e5400, 
    return_value=0x0, n_param_values=3, param_values=0x82e5758, 
    invocation_hint=0xbfffef4c, marshal_data=0x7c82cd0) at notify-marshal.c:81
#9  0x05fd643f in marshal_dbus_message_to_g_marshaller (closure=0x82e5400, 
    return_value=0x0, n_param_values=3, param_values=0x854c6c0, 
    invocation_hint=0xbfffef4c, marshal_data=0x0) at dbus-gproxy.c:1665
#10 0x0586d1db in IA__g_closure_invoke (closure=0x82e5400, return_value=0x0, 
    n_param_values=3, param_values=0x854c6c0, invocation_hint=0xbfffef4c)
    at gclosure.c:767
#11 0x05883625 in signal_emit_unlocked_R (node=0x829f1b8, detail=205, 
    instance=0x829d670, emission_return=0x0, instance_and_params=0x854c6c0)
    at gsignal.c:3244
#12 0x05884d3c in IA__g_signal_emit_valist (instance=0x829d670, signal_id=25, 
    detail=205, var_args=0xbffff0f4 "p\207��\030���") at gsignal.c:2977
#13 0x058851b6 in IA__g_signal_emit (instance=0x829d670, signal_id=25, 
    detail=205) at gsignal.c:3034
#14 0x05fd7697 in dbus_g_proxy_emit_remote_signal () at dbus-gproxy.c:1718
#15 dbus_g_proxy_manager_filter (connection=0x8274938, message=0x82cc490, 
    user_data=0x829fc28) at dbus-gproxy.c:1286
#16 0x04c86165 in dbus_connection_dispatch (connection=0x8274938)
    at dbus-connection.c:4406
#17 0x05fce08d in message_queue_dispatch (source=0x8297b00, callback=0, 
    user_data=0x0) at dbus-gmain.c:101
#18 0x06af5208 in g_main_dispatch () at gmain.c:2144
#19 IA__g_main_context_dispatch (context=0x8276a58) at gmain.c:2697
#20 0x06af88b3 in g_main_context_iterate (context=0x8276a58, block=1, 
    dispatch=1, self=0x82717c8) at gmain.c:2778
#21 0x06af8dd2 in IA__g_main_loop_run (loop=0x84b17e0) at gmain.c:2986
#22 0x06d2a489 in IA__gtk_main () at gtkmain.c:1200
#23 0x080d6fc4 in main (argc=1, argv=0xbffff544, envp=Cannot access memory at address 0x62f8
) at gui/main.cpp:4821
Current language:  auto; currently c
Comment 5 Peter Robinson 2008-10-30 15:35:06 EDT
thanks. Running ekiga with a 'ekiga -d5 -u4' would also assist debugging as well if that's possible (sorry, I forgot about this one).
Comment 6 Brian Powell 2008-10-30 16:05:53 EDT
Created attachment 321984 [details]
ekiga debug output

Per request the output of ekiga -d 5 -u 4 is attached.
Comment 7 Jesse Keating 2008-11-11 18:28:54 EST
If this is a blocker, we'd need a fix in the next 3 days.  Peter, do you think that's possible?
Comment 8 Peter Robinson 2008-11-11 19:01:24 EST
Its hard to tell if its wide spread and hence is needed for the next 3 days. I have my doubts as to whether its possible. I've seen 3-4 very similar bug reports upstream but there hasn't been much movement, 2 have been closed with not a stack trace without enough information. I was in fact just now installing every debuginfo package possible that may be linked to it based on a crash I had earlier tonight to try and recreate the crash I'm seeing. I can be called at avatar@ekiga.net if someone wants to assist with that (need to actually get around to looking at the Fedora VoIP stuff). I'm going to be looking at it further tomorrow as I have some free cycles.
Comment 9 Will Woods 2008-11-12 12:07:04 EST
We'll gladly take a fix for this problem if one is available before we build F10 Final, but we're not going to hold the release for it. It can be fixed with a post-release (or even day-0) update.

Moving to F10Target.
Comment 10 Peter Robinson 2008-11-13 17:43:47 EST
OK, I have a fix, it looks like it was due to the patch that was introduced to libnotify to the last builf "Handled extra parameter of closed signal" which looks like it changed the api without incrementing the api version. I building a test at the moment. If it fixes the problem is there a change of still getting this into final?
Comment 11 Will Woods 2008-11-13 17:55:14 EST
Yes, we can still take new builds for a couple more days. 

If the only change was to rebuild against the newer libnotify, that would be very low-risk, and thus much more likely to be accepted.

Does this mean there are other packages out there that might need to be rebuilt?
Comment 12 Peter Robinson 2008-11-13 18:05:37 EST
No, there's a very small patch for ekiga due to the api breakage on libnotify. Its literally a one liner. Patch can be seen at the link below. So its apply the patch and rebuild ekiga. Its very low impact and essential for a usable ekiga OOTB. I've tested a scratch build from koji and it fixed the issue, I'm doing a final build now. Will update with the build details once complete.

http://cvs.fedoraproject.org/viewvc/rpms/ekiga/F-10/ekiga-fixlibnotify.patch?view=markup
Comment 13 Peter Robinson 2008-11-13 18:36:35 EST
OK. Built and tested on i386 and x86_64 and fixes the issues I was seeing. I can now make voice/video calls between two machines using both a asterisk SIP server and a local network avahi call which I couldn't do before. Can I get this pushed for F-10 final. Brian can you also confirm is fixes you crash?

http://koji.fedoraproject.org/koji/taskinfo?taskID=932510
Comment 14 Peter Robinson 2008-11-13 18:48:36 EST
Looking at the libnotify upstream svn repo it looks like the patch that was applied to libnotify that breaks the api was reverted/changed so as not to do so. I've filed RHBZ # 471496 against libnotify but haven't added it as a blocker to F10 as I'm not sure what the impact to other packages would be. The upstream changelog can be found here http://cia.vc/stats/project/galago/libnotify
Comment 15 Will Woods 2008-11-13 18:52:39 EST
If Brian can confirm the fix, could you please file a ticket with rel-eng asking for a freeze break?

http://fedoraproject.org/wiki/ReleaseEngineering/FinalFreezePolicy
Comment 16 Brian Powell 2008-11-13 21:55:00 EST
I will be testing this within the hour I will post the results as soon as I confirm either way.
Comment 17 Brian Powell 2008-11-13 22:25:21 EST
The patched koji build of ekiga posted above is confirmed to be working on both my i386 and x86_64 rawhide test box and the XO.

Great job on tracking this down Peter!
Comment 18 Peter Robinson 2008-11-14 05:37:27 EST
Very good news. Credit goes as well to Damien of Ekiga fame.
Comment 19 Peter Robinson 2008-11-17 05:40:20 EST
Closing as fixed and will be in F-10 final

Note You need to log in before you can comment on or make changes to this bug.